Bug 840095 - subscription queue is auto-del even if reliability:at-least-once is specified in the link
subscription queue is auto-del even if reliability:at-least-once is specified...
Status: NEW
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
2.1.2
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: messaging-bugs
Eric Sammons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-13 13:06 EDT by Petr Matousek
Modified: 2018-02-06 11:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2012-07-13 13:06:47 EDT
Description of problem:

Subscription queue created with link property 'reliability:at-least-once' is auto-del, using other client APIs the the subscription queue is not auto-del when at-least-once reliability is specified in the link.

upstream jira:
https://issues.apache.org/jira/browse/QPID-2733

Version-Release number of selected component (if applicable):
qpid-java-*0.14-3

How reproducible:
100%

Steps to Reproduce:
1. java -cp $CLASSPATH org.apache.qpid.example.Drain -f "amq.direct/key;{ node: {  }, link: {  } }"
2. in another terminal use ie. qpid-config to determine that the just created subscription queue is auto-del 

  
Actual results:
subscription queue defined with reliability mode at-least-once is auto-del

Expected results:
subscription queue is not auto-del when at-least-once reliability is specified in the link.

Additional info:
Comment 3 Petr Matousek 2012-10-27 10:26:46 EDT
(In reply to comment #0)

Forget to add the reliability option in the reproducer:

Steps to Reproduce:
- 1. java -cp $CLASSPATH org.apache.qpid.example.Drain -f "amq.direct/key;{ node: {  }, link: {  } }"
+ 2. java -cp $CLASSPATH org.apache.qpid.example.Drain -f "amq.direct/key;{ link: { reliability: at-least-once } }"
Comment 4 Frantisek Reznicek 2014-03-05 03:10:30 EST
Defect nominated for Open Source Contest Spring 2014.

Qpid resp. MRG/M References:
  http://qpid.apache.org
  http://qpid.apache.org/components/qpid-jms/index.html
  Messaging Programming Reference, Messaging Installation and Configuration Guide at
    https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_MRG/
  http://en.wikipedia.org/wiki/Advanced_Message_Queuing_Protocol
  http://rajith.2rlabs.com/2007/09/06/amqp-in-10-mins-part1-introduction/

Goals:
  1] propose patch that fixes the above described issue
  2] propose testing scenario down-to individual steps
  3] implement / automate testing scenario as part of already existing upstream qpid-java unit test framework


In case you struggle feel free to:
 * join IRC channel #qpid on http://freenode.net/ and ask
 * ask in Bugzilla using comment field
 * ask on mailing list, see https://qpid.apache.org/discussion.html page for details

Note You need to log in before you can comment on or make changes to this bug.